import numpy as np
import logging
import sys
import importlib
import os


# 프로젝트 루트 디렉토리 설정
project_root = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))

# 'scripts' 디렉토리 경로를 sys.path에 추가
scripts_dir = os.path.join(project_root, 'scripts')
if scripts_dir not in sys.path:
    sys.path.insert(0, scripts_dir)
    logging.info(f"Added {scripts_dir} to sys.path")

# 'data_processing' 디렉토리 경로를 sys.path에 추가
data_processing_dir = os.path.join(scripts_dir, 'data_processing')
if data_processing_dir not in sys.path:
    sys.path.insert(0, data_processing_dir)
    logging.info(f"Added {data_processing_dir} to sys.path")

# 'model' 디렉토리 경로를 sys.path에 추가
model_dir = os.path.join(scripts_dir, 'model')
if model_dir not in sys.path:
    sys.path.insert(0, model_dir)
    logging.info(f"Added {model_dir} to sys.path")

# 'helper_functions'이 필요한 디렉터리도 추가해야 합니다. 
# 'helper_functions.py' 파일이 있는 디렉터리를 sys.path에 추가하세요.
helper_functions_dir = os.path.join(scripts_dir, 'utils')  # 예시로 'utils' 디렉터리
if helper_functions_dir not in sys.path:
    sys.path.insert(0, helper_functions_dir)
    logging.info(f"Added {helper_functions_dir} to sys.path")

def create_dataset(data, time_step):
    X, y = [], []
    for i in range(len(data) - time_step):
        X.append(data[i:(i + time_step), 0])
        y.append(data[i + time_step, 0])
    return np.array(X), np.array(y)
